﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Threading;

namespace XamDataTreeFirstNodeCheckedCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();

        DispatcherTimer timer = new DispatcherTimer();        

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            timer.Interval = new TimeSpan(0, 0, 3);
            timer.Tick += timer_Tick;

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new SampleData()
                {
                    IsChecked = false,
                    RandomNumberString = r.Next(1000).ToString()
                });
            }

            Data[0].IsChecked = true;

            timer.Start();

        }

        void timer_Tick(object sender, EventArgs e)
        {
            this.Data.Clear();

            int i = r.Next(3, 10);

            for (int j = 0; j < i; j++)
            {
                Data.Add(new SampleData()
                {
                    IsChecked = false,
                    RandomNumberString = r.Next(1000).ToString()
                });
            }

            Data[0].IsChecked = true;

        }
    }

    public class SampleData
    {        
        public string RandomNumberString { get; set; }
        public bool IsChecked { get; set; }
    }
}
